Public Types | Data Fields

# GoodsEntry Struct Reference

Stores station stats for a single cargo. More...

`#include <station_base.h>`

## Public Types
enum | GoodsEntryStatus { GES_ACCEPTANCE, GES_PICKUP, GES_EVER_ACCEPTED, GES_LAST_MONTH, GES_CURRENT_MONTH, GES_ACCEPTED_BIGTICK }
| Status of this cargo for the station. More...
## Data Fields
byte | acceptance_pickup
| Status of this cargo, see GoodsEntryStatus.
byte | days_since_pickup
| Number of days since the last pickup for this cargo (up to 255).
byte | rating
| Station rating for this cargo.
byte | last_speed
| Maximum speed of the last vehicle that picked up this cargo (up to 255).
byte | last_age
| Age in years of the last vehicle that picked up this cargo.
byte | amount_fract
| Fractional part of the amount in the cargo list.
StationCargoList | cargo
| The cargo packets of cargo waiting in this station.

## Detailed Description

Stores station stats for a single cargo.

Definition at line 29 of file station_base.h.

## Member Enumeration Documentation

enum GoodsEntry::GoodsEntryStatus

Status of this cargo for the station.

Enumerator:

  GES_ACCEPTANCE | This cargo is currently being accepted by the station.
  GES_PICKUP | This cargo has been picked up at this station at least once.
  GES_EVER_ACCEPTED | The cargo has been accepted at least once.
  GES_LAST_MONTH | The cargo was accepted last month.
  GES_CURRENT_MONTH | The cargo was accepted this month.
  GES_ACCEPTED_BIGTICK | The cargo has been accepted since the last periodic processing.

Definition at line 31 of file station_base.h.

The documentation for this struct was generated from the following file:

- src/station_base.h